Why am I getting a parse error when trying to update Fundraiser?

I'm getting a parse error when trying to update the plugin Fundraiser and then my site doesn't work at all!! We tried uploading by FTP with the same result. We have had to uninstall the plugin completely for the site to work again. Please advise!

  • Ash

    Hello @Boothy

    I hope you are well today and thanks for asking the question.

    Yes, there is an issue and our dev is working on that. Meantime, please downgrade the plugin or make the following changes:

    Line 53 of /wp-content/plugins/fundraising/lib/widgets/widget.fundraisers_list.php
    replace with the following:

    <p><label><?php echo __('Maximum number of fundraisers to display','wdf') ?><br /><input type="text" name="<?php echo $this->get_field_name('limit'); ?>" class="widefat" value="<?php echo (isset($instance['limit'])) ? $instance['limit'] : ''; ?>" /></label></p>

    Please let me know if you find this is helpful, or if you have any further questions.

    Cheers
    Ash

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.